# RakNet::StopSpectating_Func Struct Reference
[RoomsCommands]

Stop spectating. This will rejoin the room as a player, using a reserved slot if we were invited, and a public slot if not or if there are no reserved slots. More...

`#include <RoomsPlugin.h>`

Inheritance diagram for RakNet::StopSpectating_Func:

List of all members.

## Detailed Description

Stop spectating. This will rejoin the room as a player, using a reserved slot if we were invited, and a public slot if not or if there are no reserved slots.

This may fail if the moderator locked the room, or if no slots are available.

The documentation for this struct was generated from the following file:

- d:/RakNet-3.x/DependentExtensions/Lobby2/Rooms/RoomsPlugin.h